.consent-banner-button {
  text-decoration: none;
  background: none;
  border: 1px solid #000;
  text-wrap: nowrap;
  white-space: nowrap;
  background-color: transparent;
  border-width: 2px;
  padding: 8px 30px;
  border-radius: 8px;
  font-size: 18.89px;
  font-weight: 700;
  line-height: 1.44;
}
#consent-banner-main {
  position: relative;
  z-index: 2147483647;
  font-family: "Maison Neue Extended";
  font-size: 15px;
}
#consent-banner-modal {
  background: #fff;
  padding: 25px 10px 30px !important;
}
#consent-banner-modal .consent-banner-modal-wrapper {
  display: flex;
  margin: 0 auto;
  justify-content: center;
  padding: 0 10px;
}
#consent-banner-settings h2 {
  padding-bottom: 15px;
}
#consent-banner-modal .consent-banner-modal-wrapper p {
  margin-bottom: 0;
}
#consent-banner-modal .consent-banner-modal-buttons {
  margin-top: 12px;
  text-align: center;
  display: flex;
  align-items: flex-end;
  gap: 10px;
  flex-wrap: wrap;
}
#consent-banner-modal .consent-banner-modal-buttons [href="#settings"] {
  background-color: #fff !important;
  color: #333 !important;
  border-color: #333 !important;
}
#consent-banner-modal .consent-banner-modal-buttons [href="#settings"]:hover {
  background-color: #000 !important;
  border-color: #000 !important;
  color: #fff !important;
}
#consent-banner-modal .consent-banner-modal-buttons [href="#reject"] {
  background-color: #000 !important;
  color: #fff !important;
  border-color: #000 !important;
}
#consent-banner-modal .consent-banner-modal-buttons [href="#reject"]:hover {
  background-color: #333 !important;
  border-color: #333 !important;
}
.consent-banner-settings-buttons [href="#reject"] {
  background-color: #000 !important;
  color: #fff !important;
  border-color: #000 !important;
}
.consent-banner-settings-buttons [href="#reject"]:hover {
  background-color: #333 !important;
  border-color: #333 !important;
}
.consent-banner-settings-buttons [href="#save"] {
  background-color: #fff !important;
  color: #333 !important;
  border-color: #333 !important;
}
.consent-banner-settings-buttons [href="#save"]:hover {
  background-color: #000 !important;
  border-color: #000 !important;
  color: #fff !important;
}
#consent-banner-settings .consent-banner-settings-buttons {
  margin-top: 15px;
  text-align: center;
  display: flex;
  gap: 10px;
}
.cookie-logo {
  max-width: 210px;
  margin-bottom: 30px;
  display: block;
}
#consent-banner-modal .consent-banner-modal-buttons .consent-banner-button {
  border-radius: 8px !important;
  transition: all 0.3s;
}
#consent-banner-settings {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  box-shadow: rgba(0, 0, 0, 0.4) 0 0 20px;
  padding: 32px 35px 35px;
  overflow-x: hidden;
  min-width: 500px;
  max-height: none;
}
#consent-banner-settings ul {
  list-style: none;
  padding-left: 0;
}
#consent-banner-settings ul label {
  font-weight: 700;
  font-size: 1em;
  margin-left: 5px;
  margin-bottom: 0px !important;
}
#consent-banner-settings ul li {
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
  padding: 20px 0 12px;
  position: relative;
}
#consent-banner-settings ul p {
  margin: 0;
  margin-top: 8px;
}
#consent-banner-main h2 {
  font-size: 18px;
  font-weight: 700;
  margin: 0px !important;
}
#consent-banner-settings,
#consent-banner-modal {
  border-radius: 6px;
}
.consent-banner-button[href="#accept"] {
  font-weight: 700;
  font-size: 18.89px;
  font-family: Maison Neue Extended, Helvetica, sans-serif;
  background: #1553d7 !important;
  color: #fff;
  padding: 7px 27px;
  display: inline-block;
  border: 2px solid #1553d7;
  text-decoration: none;
  line-height: 1.44;
}
.consent-banner-button[href="#accept"]:hover {
  border-color: #1349be !important;
  background: #1349be !important;
}
#consent-banner-modal .consent-banner-modal-wrapper h2,
#consent-banner-modal .consent-banner-modal-wrapper p {
  display: block !important;
  color: #212529 !important;
}
#consent-banner-settings > div > form div:nth-child(2) {
  max-height: 65vh;
  overflow-x: hidden;
}
.toggle-icon {
  width: 26px;
  height: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #000;
  border-radius: 50%;
  font-size: 18px;
  position: absolute;
  right: 10px;
  top: 17px;
  cursor: pointer;
}
#consent-banner-settings ul li:last-child {
  margin-bottom: 20px;
}
.setting-data {
  max-height: 400px;
  overflow-y: auto;
}
.setting-data p > p {
  margin-top: 0px !important;
}
#consent-banner-modal .consent-banner-modal-wrapper p > strong {
  font-weight: 600 !important;
}
@media (max-width: 576px) {
  #consent-banner-settings > div > form div:nth-child(2) {
    max-height: none;
  }
  #consent-banner-main:not([data-mode="bar"]) #consent-banner-modal {
    width: auto;
    left: 5% !important;
    right: 5% !important;
    min-width: auto;
  }
  #consent-banner-settings {
    width: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    transform: none;
    max-height: 100%;
    min-width: auto;
  }
  #consent-banner-settings .consent-banner-settings-buttons {
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: #fff;
    padding-top: 16px;
    padding-bottom: 30px;
    padding-left: 50px;
    padding-right: 50px;
    text-align: center;
    display: block;
  }
  #consent-banner-settings .consent-banner-settings-buttons .button {
    width: 25%;
  }
  #consent-banner-modal .consent-banner-modal-buttons {
    margin: 0 !important;
  }
  #consent-banner-settings
    .consent-banner-settings-buttons
    .consent-banner-button {
    margin: 0;
    display: block;
    margin-bottom: 10px;
    text-align: center;
  }
  #consent-banner-settings ul {
    padding-bottom: 100px;
  }
}
@media (max-width: 768px) {
  #consent-banner-modal .consent-banner-modal-wrapper p {
  }
  #consent-banner-modal .consent-banner-modal-wrapper {
    display: block;
  }
}
#consent-banner-settings ul li input {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  width: 40px;
  height: 20px;
  background-color: #ccc;
  border-radius: 20px;
  position: relative;
  cursor: pointer;
  transition: background-color 0.3s ease;
  border: 0px !important;
}
#consent-banner-settings ul li input::before {
  content: "";
  position: absolute;
  width: 16px;
  height: 16px;
  background-color: #fff;
  border-radius: 50%;
  top: 2px;
  left: 2px;
  transition: transform 0.3s ease;
}
#consent-banner-settings ul li input:checked::before {
  transform: translateX(20px);
}
#consent-banner-settings ul li input:checked {
  background-color: #1553d7;
}
#consent-banner-settings ul li input::after {
  display: none !important;
}
#consent-banner-settings li label {
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  width: calc(100% - 60px);
}
#consent-banner-settings li label .toggle-icon {
  font-size: 16px;
  font-weight: 700;
  margin-left: auto;
}
#consent-banner-wall {
  position: fixed;
  left: 0px !important;
  top: 0px !important;
  right: 0px !important;
  bottom: 0px !important;
  display: flex;
  align-items: center;
  height: 100%;
  padding: 0 20px;
  overflow-y: auto;
  justify-content: center;
}
#consent-banner-wall #consent-banner-modal,
#consent-banner-wall #consent-banner-settings {
  margin: 50px 0;
  position: static !important;
  max-width: 950px !important;
  transform: none !important;
}
.consent-banner-modal-wrapper div h2 {
  font-family: Graphik, sans-serif !important;
  padding-bottom: 15px !important;
  font-size: 24px !important;
  font-weight: 600 !important;
}
#consent-banner-wall #consent-banner-modal {
  padding: 32px 25px 35px !important;
}
.consent-banner-modal-wrapper div p {
  font-family: Graphik, sans-serif !important;
  padding-bottom: 20px !important;
  font-size: 16px !important;
}
.consent-banner-modal-wrapper div p > a {
  color: #0f4ed1 !important;
}
.consent-banner-modal-wrapper div p > a:hover {
  text-decoration: underline !important;
}
.consent-banner-button {
  font-family: Graphik, sans-serif !important;
}
.consent-banner-button {
  padding: 8px 30px !important;
  font-size: 16px !important;
  font-weight: 400 !important;
  border-width: 2px !important;
}
#consent-banner-modal .consent-banner-modal-buttons {
  margin-top: 0px !important;
}
#consent-banner-settings {
  font-family: Graphik, sans-serif !important;
}
#consent-banner-settings ul label {
  font-weight: 600 !important;
}
#consent-banner-main #consent-banner-wall form h2 {
  font-size: 24px !important;
  font-weight: 600 !important;
}
#consent-banner-wall {
  backdrop-filter: blur(2.5px);
}
#consent-banner-main #consent-banner-wall #consent-banner-modal,
#consent-banner-main #consent-banner-wall #consent-banner-settings {
  max-width: 850px !important;
  border-radius: 24px !important;
}
#consent-banner-main .consent-banner-modal-wrapper div h2 {
  font-size: 20px;
}
@media only screen and (max-width: 767.9px) {
  #consent-banner-settings ul {
    padding-bottom: 0px !important;
  }
  #consent-banner-settings .consent-banner-settings-buttons {
    position: static !important;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: #fff;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
    text-align: center;
    display: block;
  }
  #consent-banner-settings {
    padding: 20px 20px 15px !important;
  }
  #consent-banner-settings ul label {
    font-size: 0.9em;
  }
  #consent-banner-modal .consent-banner-modal-wrapper {
    padding: 0px !important;
  }
  #consent-banner-wall #consent-banner-modal {
    padding: 30px 20px 25px !important;
  }
  #consent-banner-modal .consent-banner-modal-wrapper p {
    margin-bottom: 0px !important;
  }
  .consent-banner-button {
    padding: 10px 15px !important;
    font-size: 12px !important;
  }
  #consent-banner-modal .consent-banner-modal-wrapper p {
    max-height: 250px;
    margin-bottom: 20px !important;
    overflow-y: auto;
    padding-bottom: 0px !important;
  }
  #consent-banner-modal .consent-banner-modal-wrapper p > p {
    max-height: 100%;
    overflow-y: unset;
    margin-bottom: 0px !important;
    padding-bottom: 20px !important;
  }
  #consent-banner-modal .consent-banner-modal-wrapper p > p:last-child {
    margin-bottom: 0px !important;
    padding-bottom: 0px !important;
  }
  .cookie-logo {
    max-width: 145px;
    margin: auto;
    margin-bottom: 25px;
  }
  .consent-banner-modal-wrapper div h2 {
    font-size: 18px !important;
  }
  .review_info {
    min-height: 235px;
  }
}
